export interface RefreshTokenPayload {
    platformServiceApiBaseUrl: string;
    organizationId?: string;
    organizationName?: string;
    roleId?: string;
    roleName?: string;
}
export interface RefreshTokenResponse {
    code: number;
    item: {
        accessToken: string;
        expireAt: number;
        refreshToken: string;
    };
    kind: string;
    params: {
        header: {
            TenantId: string;
        };
    };
}
