import { RefreshTokenPayload } from '../interface/refreshToken';
import { ChefPlatformUserAccountsIdentitySharedFacadeService } from '@progress-chef/platform-shared-store';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RefreshTokenService {
    private chefPlatformUserAccountsIdentitySharedFacadeService;
    expiryTime: number;
    baseUrl: string;
    isUserActive: boolean;
    refreshInProgress: boolean;
    refreshTokenMissed: boolean;
    refreshJWTTokenSubscription$: Subscription;
    constructor(chefPlatformUserAccountsIdentitySharedFacadeService: ChefPlatformUserAccountsIdentitySharedFacadeService);
    refreshToken(reqPayload: RefreshTokenPayload, setOrgRole?: boolean): Error | void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RefreshTokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RefreshTokenService>;
}
